Imports System.Reflection
Imports System.IO
Imports System.Drawing

Public Class Global

    ' utility to read an embedded file out of the assembly
    Public Shared Function ReadFileFromAssembly(ByVal filename As String) As String
        Dim text1 As String = String.Empty
        Dim assembly1 As System.Reflection.Assembly = System.Reflection.Assembly.GetCallingAssembly
        Dim stream1 As Stream = assembly1.GetManifestResourceStream(filename)
        If (Not stream1 Is Nothing) Then
            Dim reader1 As New StreamReader(stream1)
            text1 = reader1.ReadToEnd
            reader1.Close()
            stream1.Close()
        End If
        Return text1
    End Function

    Public Shared Function GetImageFromResources(ByVal iconname As String, ByVal sz As Size) As Bitmap
        Dim icon1 As Icon = New Icon(GetType(Global), iconname)
        Dim icon2 As Icon = New Icon(icon1, sz.Width, sz.Height)
        Return Bitmap.FromHicon(icon2.Handle)
    End Function



End Class
